org.apache.http.auth

## Class NTUserPrincipal

- java.lang.Object
- - org.apache.http.auth.NTUserPrincipal

- All Implemented Interfaces:
    Serializable, Principal

      @Contract(threading=IMMUTABLE)
      public class NTUserPrincipal
      extends Object
      implements Principal, Serializable

  Microsoft Windows specific user principal implementation.
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NTUserPrincipal(String domain, String username)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getDomain()`
    `String` | `getName()`
    `String` | `getUsername()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NTUserPrincipal

          public NTUserPrincipal(String domain,
                         String username)

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Principal`

    - #### getDomain

          public String getDomain()

    - #### getUsername

          public String getUsername()

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Principal`
      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in interface `Principal`
      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Specified by:
        `toString` in interface `Principal`
      Overrides:
        `toString` in class `Object`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.